using API.Models.Internal.Altersgruppen;

namespace API.Repository.AgeGroup
{
    public interface IAgeGroupService
    {
        public Task<List<AltersGruppe>> GetAllAsync();

        public Task<AltersGruppe?> GetAsync(int id);
        public Task<AltersGruppe> CreateAsync(AltersGruppe altersGruppe);
        public Task<AltersGruppe?> DeleteAsync(int id);
        public Task<AltersGruppe?> UpdateAsync(int id, AltersGruppe altersGruppe); 
    }
}
